## org.apache.lucene.queries.function.valuesource
Class ConstNumberSource

    java.lang.Object
      org.apache.lucene.queries.function.ValueSource
          org.apache.lucene.queries.function.valuesource.ConstNumberSource

Direct Known Subclasses:
  ConstValueSource, DoubleConstValueSource

    public abstract class ConstNumberSource

extends ValueSource

`ConstNumberSource` is the base class for all constant numbers

Constructor Summary
`ConstNumberSource()`

Method Summary
`abstract boolean` `getBool()`
`abstract double` `getDouble()`
`abstract float` `getFloat()`
`abstract int` `getInt()`
`abstract long` `getLong()`
`abstract Number` `getNumber()`

Methods inherited from class org.apache.lucene.queries.function.ValueSource
`createWeight, description, equals, getSortField, getValues, hashCode, newContext, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstNumberSource

    public ConstNumberSource()

Method Detail

### getInt

    public abstract int getInt()

### getLong

    public abstract long getLong()

### getFloat

    public abstract float getFloat()

### getDouble

    public abstract double getDouble()

### getNumber

    public abstract Number getNumber()

### getBool

    public abstract boolean getBool()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.